<script lang="ts">
import { MetaInfo } from 'vue-meta/types/vue-meta';
import Vue from 'vue';
import { Filters } from '@/components/events/index.vue';
import { getPageMetadata } from '~/common/meta';
import { FooterEditLinkMixin } from '~/mixins';
import ResourcesHero from '~/components/resources/resources-hero.vue';

export default Vue.extend({
  name: 'Events',
  components: {
    ResourcesHero,
    Filters,
  },
  nuxtI18n: false,
  mixins: [FooterEditLinkMixin],

  async asyncData({ $eventsService }: any) {
    try {
      const { eventsCards, eventsPageData, spaceId, entryId } =
        await $eventsService.getLandingEventsContent();

      return { eventsCards, eventsPageData, spaceId, entryId };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).eventsPageData.seoMetadata,
      this.$route.path,
    );
  },
});
</script>

<template>
  <div>
    <ResourcesHero v-if="eventsPageData.hero" :data="eventsPageData.hero" />

    <SlpContainer>
      <SlpTypography tag="h2" variant="heading2-bold"
        >Upcoming events
      </SlpTypography>
      <Filters v-if="eventsCards" :data="eventsCards" />
    </SlpContainer>
  </div>
</template>
